MetacatUI - Task #5979
Story # 6013 (New): KNB rebranding

Choose new site name
05/24/2013 06:07 PM - Matt Jones

Status: In Progress Start date: 05/24/2013
Priority: Normal Due date:

Assignee: Matt Jones % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

The possibilities are endless....

History

#1 - 05/24/2013 06:07 PM - Matt Jones
- Status changed from New to In Progress

- Start date set to 05/24/2013

#2 - 07/01/2013 04:02 PM - ben leinfelder
- Parent task changed from #5955 to #6013
